Freeciv-3.3: up_down Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
up_down Struct Reference

## Data Fields

struct widget * | begin
struct widget * | end
struct widget * | begin_widget_list
struct widget * | end_widget_list
struct scroll_bar * | vscroll
float | old_y
int | step
float | prev_x
float | prev_y
int | offset

## Detailed Description

Definition at line 35 of file widget_scrollbar.c.

## Field Documentation

## ◆ begin

struct widget* up_down::begin

Definition at line 36 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), and up_scroll_widget_list().

## ◆ begin_widget_list

struct widget* up_down::begin_widget_list

Definition at line 38 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), up_scroll_widget_list(), and vertic_scroll_widget_list().

## ◆ end

struct widget* up_down::end

Definition at line 37 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), and inside_scroll_down_loop().

## ◆ end_widget_list

struct widget* up_down::end_widget_list

Definition at line 39 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), up_scroll_widget_list(), and vertic_scroll_widget_list().

## ◆ offset

int up_down::offset

Definition at line 45 of file widget_scrollbar.c.

## ◆ old_y

float up_down::old_y

Definition at line 41 of file widget_scrollbar.c.

## ◆ prev_x

float up_down::prev_x

Definition at line 43 of file widget_scrollbar.c.

## ◆ prev_y

float up_down::prev_y

Definition at line 44 of file widget_scrollbar.c.

## ◆ step

int up_down::step

Definition at line 42 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), up_scroll_widget_list(), and vertic_scroll_widget_list().

## ◆ vscroll

struct scroll_bar* up_down::vscroll

Definition at line 40 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), scroll_mouse_motion_handler(), up_scroll_widget_list(), and vertic_scroll_widget_list().